org.apache.cassandra.utils.progress

## Interface ProgressListener

All Known Implementing Classes:
  BootstrapMonitor, JMXNotificationProgressListener, JMXProgressSupport, LegacyJMXProgressSupport, RepairRunner

    public interface ProgressListener

Listener interface to handle `ProgressEvent`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `progress(java.lang.String tag, ProgressEvent event)` Called when some progress is made by progress publisher.

### Method Detail

#### progress

    void progress(java.lang.String tag,
                  ProgressEvent event)

Called when some progress is made by progress publisher.

Parameters:
  `tag` - String that identifies progress event.
  `event` - Current progress